Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

HTML5 Details Polyfill

Adds fallback support for the HTML5 <details> and <summary> elements in browsers that don't support them.

Extract the zip file and drop the contents in the wp-content/plugins/ directory of your WordPress installation and then activate the plugin from the "Plugins" page.

Requires: 3.0.1 or higher
Compatible up to: 3.4.2
Last Updated: 3 years ago
Active Installs: 20+


5 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.